%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           glchess
Version:        1.0.4
Release:        2%{?dist}
Summary:        GlChess, a 3d Chess game using OpenGL
Group:          Amusements/Games
License:        GPL
URL:            http://glchess.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         glchess-1.0.4-animate.patch
Patch1:         glchess-1.0.4-shebang.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-devel desktop-file-utils
BuildArch:      noarch
Requires:       gnuchess pygtk2-libglade pygtkglext hicolor-icon-theme
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
A very nice Chess game using OpenGL.


%prep
%setup -q
%patch0 -p2 -z .animate
%patch1 -p1 -z .shebang
sed -i 's|share/games/|share/|g' setup.py lib/glchess/defaults.py


%build
python setup.py build


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install -O1 --skip-build --root="$RPM_BUILD_ROOT" \
  --prefix="%{_prefix}"
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mv $RPM_BUILD_ROOT%{_datadir}/gconf $RPM_BUILD_ROOT%{_sysconfdir}

# this file can be executed stand alone (has a main and shebang)
chmod +x $RPM_BUILD_ROOT%{python_sitelib}/%{name}/scene/opengl/png.py

# below is the desktop file and icon stuff.
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --delete-original                             \
  --remove-category Application                 \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.svg \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
    killall -HUP gconfd-2 || :
fi


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
killall -HUP gconfd-2 || :


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :


%files
%defattr(-,root,root,-)
%doc COPYING README BUGS ChangeLog TODO
%{_sysconfdir}/gconf/schemas/glchess.schemas
%{_bindir}/%{name}
%{_datadir}/%{name}
%{python_sitelib}/%{name}
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg


%changelog
* Fri Apr  6 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0.4-2
- Various specfile cleanups / fixes (bz 234436)
- Remove shebang from certain files instead of chmod +x (bz 234436)

* Thu Mar 29 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0.4-1
- Initial Fedora Extras package
